## 安装
```
npm install itheima-timeid
```

## 导入
```js
const itheima = require('./itheima-timeid');
```

## 格式化时间
```js
//调用 dateFormat 对时间进行格式化
const dtStr = itheima.dateFormat(new Date())
// 结果 2022-06-28 14:34:48
console.log(dtStr);
```

## 转义 HTML 中的特殊字符
```js
// 待转化的 HTML 字符串
const htmStr = '<h1 title="abc">这是h1标签<span>123&nbsp;</span></h1>'
// 调用 htmlEscape 方法进行转换
const str = itheima.htmlEscape(htmStr);
// 转换的结果 &lt;h1 title=&quot;abc&quot;&gt;这是h1标签&lt;span&gt;123&amp;nbsp;&lt;/span&gt;&lt;/h1&gt;
console.log(str);
```

## 还原 HTML 中的特殊字符
```js
// 待还原的 HTML 字符串
const newStr = itheima.htmlUnEscape(str);
// 输出的结果 <h1 title="abc">这是h1标签<span>123undefined;nbsp;</span></h1>
console.log(newStr);
```

## 开源协议
ISC